| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties | Private Member Functions

# IG::Lib::LoadableScriptBase::Script_CommandAdapter Class Reference

Adapts that converts internal script commands (delegate of type Script_CommandDelegate) to interpreter commands. This adapter enables definition of script internal commands in a simple form and installation of them on internal interpreter, which requires command delegate of type . More...

Collaboration diagram for IG::Lib::LoadableScriptBase::Script_CommandAdapter:
[legend]

List of all members.

## Public Member Functions
| Script_CommandAdapter (LoadableScriptBase script, Script_CommandDelegate scriptCommand)
string | InterpreterCommand (ICommandLineApplicationInterpreter interpreter, string commandName, string[] args)
| Method that is used to execute interpreter command. This method actually runs the script command enclosed in this adapter.
## Protected Attributes
LoadableScriptBase | _script
Script_CommandDelegate | _scriptCommand
## Properties
LoadableScriptBase | Script`[get, set]`
| Script object where the command is installed.
Script_CommandDelegate | ScriptCommand`[get, set]`
| Script's internal command that is executed when interpreter command is called.
## Private Member Functions
| Script_CommandAdapter ()

## Detailed Description

Adapts that converts internal script commands (delegate of type Script_CommandDelegate) to interpreter commands.

This adapter enables definition of script internal commands in a simple form and installation of them on internal interpreter, which requires command delegate of type .

## Constructor & Destructor Documentation

IG::Lib::LoadableScriptBase::Script_CommandAdapter::Script_CommandAdapter | ( |  | ) | `[inline, private]`

IG::Lib::LoadableScriptBase::Script_CommandAdapter::Script_CommandAdapter | ( | LoadableScriptBase | script,
|  | Script_CommandDelegate | scriptCommand
| ) |  | `[inline]`

## Member Function Documentation

string IG::Lib::LoadableScriptBase::Script_CommandAdapter::InterpreterCommand | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | commandName,
|  | string[] | args
| ) |  | `[inline]`

Method that is used to execute interpreter command. This method actually runs the script command enclosed in this adapter.

Parameters:

  interpreter | Dummy argument, only to match delegate signature.
  commandName | Name of the command. This will be the same as the 0-th argument.
  args | Command arguments. 0-th arguments will usually be command name.

## Member Data Documentation

LoadableScriptBase IG::Lib::LoadableScriptBase::Script_CommandAdapter::_script`[protected]`

Script_CommandDelegate IG::Lib::LoadableScriptBase::Script_CommandAdapter::_scriptCommand`[protected]`

## Property Documentation

LoadableScriptBase IG::Lib::LoadableScriptBase::Script_CommandAdapter::Script`[get, set]`

Script object where the command is installed.

Script_CommandDelegate IG::Lib::LoadableScriptBase::Script_CommandAdapter::ScriptCommand`[get, set]`

Script's internal command that is executed when interpreter command is called.

The documentation for this class was generated from the following file:

- LoadableScriptBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events